package com.liquidnet.client.admin.zhengzai.kylin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.liquidnet.service.kylin.dto.param.admin.ExpressModuleFromParam;
import com.liquidnet.service.kylin.entity.KylinExpressModule;

/**
 * <p>
 * 快递模板表 服务类
 * </p>
 *
 * @author jiangxiulong
 * @since 2021-11-15
 */
public interface IKylinExpressModuleService extends IService<KylinExpressModule> {

    Integer createForm(ExpressModuleFromParam param);

    Integer updateForm(ExpressModuleFromParam param);

    Integer isOnline(String moduleId, Integer isOnline);

    KylinExpressModule detail(String moduleId);

    PageInfo<KylinExpressModule> expressList();
}
